import java.util.*;

public class IndomieDPTopDown {
	double[][] dp = new double[52][52];

	double rec(int N, int S){
		if (S<=0) return 0.0;
		if (N==0) return 1.0;
		if (dp[N][S] > -0.5) return dp[N][S];
		return dp[N][S] = 2*rec(N-1,S) + rec(N-1,S-1);
	}

	void solve(){
		for (double[] d : dp) Arrays.fill(d, -1);	

		Scanner scan = new Scanner(System.in);
		while (scan.hasNextInt()){
			int N = scan.nextInt();
			int S = scan.nextInt();
			double prob = 100.0*rec(N,S)/rec(N,S+1);
			System.out.printf("%.5f\n",prob);
		}
	}

	public static void main(String[] args){
		new IndomieDPTopDown().solve();
	}
}
